Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.html
Class HtmlDataTableTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentTag
                  javax.faces.webapp.UIComponentBodyTag
                      org.apache.myfaces.shared_orchestra.taglib.UIComponentBodyTagBase
                          org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentBodyTagBase
                              org.apache.myfaces.shared_orchestra.taglib.html.HtmlDataTableTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public abstract class HtmlDataTableTagBase

extends HtmlComponentBodyTagBase

Version:
  $Revision: 472618 $ $Date: 2006-11-08 21:06:54 +0100 (Mi, 08 Nov 2006) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlDataTableTagBase()`

Method Summary
`void` | `release()`
`void` | `setAlign(java.lang.String align)`
`void` | `setBgcolor(java.lang.String bgcolor)`
`void` | `setBorder(java.lang.String border)`
`void` | `setCellpadding(java.lang.String cellpadding)`
`void` | `setCellspacing(java.lang.String cellspacing)`
`void` | `setColumnClasses(java.lang.String columnClasses)`
`void` | `setColumns(java.lang.String columns)`
`void` | `setDatafld(java.lang.String datafld)`
`void` | `setDataformatas(java.lang.String dataformatas)`
`void` | `setDatasrc(java.lang.String datasrc)`
`void` | `setFirst(java.lang.String first)`
`void` | `setFooterClass(java.lang.String footerClass)`
`void` | `setFrame(java.lang.String frame)`
`void` | `setHeaderClass(java.lang.String headerClass)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRowClasses(java.lang.String rowClasses)`
`void` | `setRows(java.lang.String rows)`
`void` | `setRules(java.lang.String rules)`
`void` | `setSummary(java.lang.String summary)`
`void` | `setVar(java.lang.String var)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentBodyTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`createComponent, getParentUIComponentTag, hasBinding, isSuppressed, isValueReference, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getELContext, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlDataTableTagBase

    public HtmlDataTableTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentBodyTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentBodyTagBase`

### setAlign

    public void setAlign(java.lang.String align)

### setBorder

    public void setBorder(java.lang.String border)

### setBgcolor

    public void setBgcolor(java.lang.String bgcolor)

### setCellpadding

    public void setCellpadding(java.lang.String cellpadding)

### setCellspacing

    public void setCellspacing(java.lang.String cellspacing)

### setDatafld

    public void setDatafld(java.lang.String datafld)

### setDatasrc

    public void setDatasrc(java.lang.String datasrc)

### setDataformatas

    public void setDataformatas(java.lang.String dataformatas)

### setFrame

    public void setFrame(java.lang.String frame)

### setRules

    public void setRules(java.lang.String rules)

### setSummary

    public void setSummary(java.lang.String summary)

### setWidth

    public void setWidth(java.lang.String width)

### setColumnClasses

    public void setColumnClasses(java.lang.String columnClasses)

### setColumns

    public void setColumns(java.lang.String columns)

### setFooterClass

    public void setFooterClass(java.lang.String footerClass)

### setHeaderClass

    public void setHeaderClass(java.lang.String headerClass)

### setRowClasses

    public void setRowClasses(java.lang.String rowClasses)

### setRows

    public void setRows(java.lang.String rows)

### setVar

    public void setVar(java.lang.String var)

### setFirst

    public void setFirst(java.lang.String first)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.